package com.ruoyi.project.business.service;

import java.util.List;
import com.ruoyi.project.business.domain.TiTemplates;

/**
 * 【出图模板】Service接口
 * 
 * @author ruoyi
 * @date 2024-05-16
 */
public interface ITiTemplatesService 
{
    /**
     * 查询【出图模板】
     * 
     * @param id 【出图模板】主键
     * @return 【出图模板】
     */
    public TiTemplates selectTiTemplatesById(Long id);

    /**
     * 查询【出图模板】列表
     * 
     * @param tiTemplates 【出图模板】
     * @return 【出图模板】集合
     */
    public List<TiTemplates> selectTiTemplatesList(TiTemplates tiTemplates);

    /**
     * 新增【出图模板】
     * 
     * @param tiTemplates 【出图模板】
     * @return 结果
     */
    public int insertTiTemplates(TiTemplates tiTemplates);

    /**
     * 修改【出图模板】
     * 
     * @param tiTemplates 【出图模板】
     * @return 结果
     */
    public int updateTiTemplates(TiTemplates tiTemplates);

    /**
     * 批量删除【出图模板】
     * 
     * @param ids 需要删除的【出图模板】主键集合
     * @return 结果
     */
    public int deleteTiTemplatesByIds(Long[] ids);

    /**
     * 删除【出图模板】信息
     * 
     * @param id 【出图模板】主键
     * @return 结果
     */
    public int deleteTiTemplatesById(Long id);
}
